Bug 585430 - Add log message for unhandled sense error REPORTED_LUNS_DATA_CHANGED
Summary: Add log message for unhandled sense error REPORTED_LUNS_DATA_CHANGED
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.9
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Mike Christie
QA Contact: Barry Donahue
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 585431 585432 589295
TreeView+ depends on / blocked
 
Reported: 2010-04-24 01:01 UTC by Mike Christie
Modified: 2011-02-16 16:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 585431 585432 (view as bug list)
Environment:
Last Closed: 2011-02-16 16:05:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0263 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.9 kernel security and bug fix update 2011-02-16 15:14:55 UTC

Description Mike Christie 2010-04-24 01:01:52 UTC
Description of problem:

We do not support lun remapping, but if somehow it were to happen, we could silently corrupt data.

This is a request to add a printk to indicate that we got REPORTED_LUNS_DATA_CHANGED but we cannot handle it and it is not supported. This way at least our support team can identify the problem without having to look through logs for 4 months :)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 RHEL Product and Program Management 2010-04-24 01:10:39 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Vivek Goyal 2010-10-18 13:49:18 UTC
Committed in 89.45.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 10 errata-xmlrpc 2011-02-16 16:05:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0263.html


Note You need to log in before you can comment on or make changes to this bug.